Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 5.1.0sp9 API Reference

## weblogic.security.acl
Class RealmsMO

    java.lang.Object
      |
      +--weblogic.common.managedobject.BaseManagedObject
            |
            +--weblogic.common.managedobject.ManagedObject
                  |
                  +--weblogic.security.acl.RealmsMO

public class RealmsMO
extends weblogic.common.managedobject.ManagedObject

RealmsMO is a ManagedObject that contains RealmMOs.

Author:
  Copyright (c) 1997-1998 by WebLogic, Inc. All Rights Reserved., Copyright (c) 1999 by BEA WebXpress. All Rights Reserved.
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.

Field Summary
`static java.lang.String` | `PARENT_RELATIVE_ID`

Constructor Summary
`RealmsMO()`

Method Summary
`protected weblogic.common.managedobject.MetaData` | `getManagedObjectMetaData()`
`weblogic.common.managedobject.BaseManagedObjectDef[]` | `getManagedSubObjects()` Returns the managed subobjects for a RealmsMO.
`static void` | `manageRealm(java.lang.String name)` Registers a named realm for management through the WebLogic Console.
`static void` | `manageRealm(java.lang.String name, java.lang.String displayName)` Registers a named realm for management with a different name for display in the the WebLogic Console.

Methods inherited from class weblogic.common.managedobject.ManagedObject
`filterProperties, filterSubObjects, getHelpId, getHelpSet, getReadPermission, getT3Services, getWritePermission, hasPropertyReadPermission, hasPropertyReadPermission, hasPropertyWritePermission, hasPropertyWritePermission, hasSubObjectReadPermission, hasSubObjectWritePermission, installSecurityHelper`

Methods inherited from class weblogic.common.managedobject.BaseManagedObject
`convertToManagedObjectArray, convertToManagedPropertyArray, getClassDisplayName, getIconRepresentation, getInstanceDisplayName, getInterfaceInfo, getManagedProperties, getManagedProperty, getManagedSubObject, getParentRelativeId, isGathering, refreshSubObjects, removeNullObjects, removeNullObjects, setManagedPropertyValue, setManagedPropertyValues, startGathering, stopGathering, updateContents, updateManagedProperty, updateManagedProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PARENT_RELATIVE_ID

    public static final java.lang.String PARENT_RELATIVE_ID

Constructor Detail

### RealmsMO

    public RealmsMO()

Method Detail

### getManagedObjectMetaData

    protected weblogic.common.managedobject.MetaData getManagedObjectMetaData()

  Overrides:
    getManagedObjectMetaData in class weblogic.common.managedobject.BaseManagedObject

### manageRealm

    public static void manageRealm(java.lang.String name)

  Registers a named realm for management through the WebLogic Console.

  Parameters:
    `name` - Name of Realm to be managed through the Console

### manageRealm

    public static void manageRealm(java.lang.String name,
                                   java.lang.String displayName)

  Registers a named realm for management with a different name for display in the the WebLogic Console.

  Parameters:
    `name` - Name of Realm to add to the display
    `displayName` - Display name for the Realm

### getManagedSubObjects

    public weblogic.common.managedobject.BaseManagedObjectDef[] getManagedSubObjects()
                                                                              throws RemoteException

  Returns the managed subobjects for a RealmsMO.

  Returns:
    Array of BaseManagedObjects
  Throws:
    RemoteException - if there is an error
  Overrides:
    getManagedSubObjects in class weblogic.common.managedobject.BaseManagedObject

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://www.weblogic.com/docs51
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD